OpenBazaar Forums
start a store - Printable Version

+- OpenBazaar Forums (http://openbazaar.tk)
+-- Forum: Discussion (http://openbazaar.tk/forumdisplay.php?fid=1)
+--- Forum: Support Forum (http://openbazaar.tk/forumdisplay.php?fid=9)
+--- Thread: start a store (/showthread.php?tid=38)

Pages: 1 2


start a store - bananajoe - 04-18-2017

Hi there,
as you might guess from my username, i am about to get a bazaar store up and running on a Banana Pro board. At the moment with very little success.

First i tried out lubuntu for banana, then i upgraded to lubuntu 16.04. After that i tried Raspbian for banana and today i had a go on archlinux for banana.

nothing worked. either the dist is too old , or the python packages dont fit or there are packages missing,....

Since it is arm, i can not install a .deb package from openbazaar.org. I will have to get the openbazaar-server from github, but this needs a special version of python installed. So the shit goes on and on and on.

Does anyone of you have a store running on a raspi/banana so far? I there any running store working on raspi/banana with version 1.1.1?

How can i eventually make it? Any hints?

I am not a coder! I am limited to copy&paste.


RE: start a store - andy - 04-20-2017

Hi, looks like we've not enough people yet for a good back and forth. I've linked to this poist in the slack chat for OB so hopefully someone there will know something.


RE: start a store - jenn_ob1 - 04-20-2017

Hi! I'm sorry, I nor my teammates at OB1 are not sure about a Banana Pro but other users might have tried. A couple of other places you may want to try to ask would be our Reddit & Slack:

https://www.reddit.com/r/OpenBazaar/
http://slack.openbazaar.org/


RE: start a store - bananajoe - 04-22-2017

thank you. I will give it a go within the next days again. I received some links for archlinux, i will try it.

I will let you know about it next week.


RE: start a store - andy - 04-22-2017

HI, please do post how you get on. I've been having problems too, I got it all up and running and it was fine for many months, but then the server got hacked and I had to start again. I just can't seem to get it going.
It's not entirely OB I am sure. Linux is new to me and there seems to be a different attitude towards it than other OSs, like, it seems ok to do a release that has missing parts and generates error meaages. I suppose it's only really meant for geeks.
With the state of the non-open source OSs I am startign to realize that if you want to own your own system you need to learn as much as you can about how it works. I suppose that's fair enough really!

Anyway I will wait for 2.0 which will be out soon.


RE: start a store - bananajoe - 04-24-2017

so hi its me again.
I am back to Lubuntu 14.04 on my Banana Pro.

I am getting ahead but with very slow steps. Lubuntu 14.04 at least is runnung on the banana AND i have achieved to get the Openbazaar-Server installed !

It is about to start, but gets knocked down by an python error like <module stun not found>.

As far as i could get so far, this all is a problem with versions of Python. *buntu 14.04 comes with Python 2.7.3 installed.

*butntu 16.04 comes with Python 2.7.9 installed. Our Bazaar-packages require at least Python 2.7.9.
An upgrade to 16.04 dont work on the lemaker banana, because the upgade destroys some banana specific setup.
this means i will have to stick to 14.04 BUT with SOME modules of Python 2.7.9 (or higher).

A manual upgrade from Python 2.7.3 to 2.7.9 wouldnt help, because the 14.04 *buntu needs some Python 2.7.3 modules.

Now im stuck.

What to do?

I could try to upgrade my banana to 16.04 and then will have to readjust the setup to fit the banana ARM 7 system - no idea how to do.

I could keep my 14.04 and install the required python modules manually step by step - no idea how to do.

I could get an openbazaar-server version 0.2.5, at least this is up and running on a raspi from another vendor. This package is available on Archlinux, but i am not into Arch and gave up on it.

What might help is if i got help from a Python coder who would guide me through this Python module stuff step by step.
Or i would have to get the openbazaar-server package 0.2.5 for *buntu, hoping this goes along with Pyton 2.7.3.

so much for now - im fed up for the day.


RE: start a store - andy - 05-03-2017

Sounds like my experience too. If you do find a coder to help, There's a thing I found really useful (on another project) = team viewer http://teamviewer.com/ - it enabled my collaborator to share control and show me stuff a lot more easily that just skype etc. It's a free download and free for non-commercial use. Works fine on Ubuntu 14.04 here.

Good luck and if you get a solution before 2.0 please let us know,


RE: start a store - bananajoe - 05-16-2017

so after some time iam back. In the mean time, i changed the OS of my banana to Armbian. Lubuntu was running Ok as long as i used the original lemaker 14.4. 14.4 is no longer supported and an upgrade to 16.4 resulted in a desaster. some components didnt work anymore and the original ditribution upgrades dont support the lemaker stuff at all.

After some search i ended up with Armbian, an arm special debian package for these small PIs, like raspberryPi, orangePi, bananaPi.

So far the OS is running quite good, but the installation of the bazaar still doesnt work. I have problems with permissions of the installation, serveral python modules are not installed, the version of pip is not the right one,....

Too much for me to cope with. But i dont give up.

Maybe i start a projekt on xbtfreelancer to find somone to give me some halt with python modules.

does anyone here in the group know a way to contact the developer team of openbazzar?
What they cll forum on OB.org ist their blog, but i can not ask questions there.
On github i dont find a way to ask for some help.

I think it should be easy for the dev-guys to explain the installation to me.
At the moment i just follow the instructions from github and up in a fix everytime.


RE: start a store - andy - 05-17-2017

xbtfreelancer sounds like a good idea, if someone there manages to help I'd probably be interested to get some too! I think there will be a lot of people... Actually I might know someone already, will try now.


RE: start a store - andy - 05-17-2017

Ok a friend in Egypt might be able to sort this out, he asked:

Quote:Can you tell me which python version exactly needed?
And which version of pip needed and also if its required wheel or anything can you tell me the specific version?
Cuz i was working on pes6 server coded with python and know such this things needed a specific version to works well

I'll post these in the slack and maybe we'll make some progress.